body {
  color: #444444;
  background: linear-gradient(-75deg, #ffffff, #b3c8f5);
  background-size: 400% 400%;
  animation: gradient 10s ease infinite;
}

@keyframes gradient {
  0% {
    background-position: 0% 50%;
  }

  50% {
    background-position: 100% 50%;
  }

  100% {
    background-position: 0% 50%;
  }
}

a {
  background-color: transparent;
  text-decoration: none;
  display: inline-block
}

a:hover {
  text-decoration: none;
  background-color: transparent
}

.img-fluid {
  border-radius: 10px;
}

/* btt */
.back-to-top {
  position: fixed;
  visibility: hidden;
  opacity: 0;
  right: 15px;
  bottom: 15px;
  z-index: 996;
  background: linear-gradient(-75deg, #ffffff, #b3c8f5);
  background-size: 400% 400%;
  animation: gradient 10s ease infinite;
  width: 40px;
  height: 40px;
  border-radius: 4px;
}

.back-to-top i {
  font-size: 28px;
  color: #fff;
  line-height: 0;
}

.back-to-top:hover {
  background: #545454;
  color: #fff;
}

.back-to-top.active {
  visibility: visible;
  opacity: 1;
}

/* topbar */
#topbar {
  padding: 10px 0;
  font-size: 14px;
  background: #545454;
}

@supports (-webkit-backdrop-filter: none) or (backdrop-filter: none) {
  .topbar {
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
    background-color: rgba(255, 255, 255, 0.5);
  }
}

#topbar {
  background: #545454;
  padding: 5px 0;
  font-size: 14px;
}

#topbar .contact-info i {
  font-style: normal;
  color: #4a86ff;
}

#topbar .contact-info a,
#topbar .contact-info span {
  padding-left: 5px;
  color: #fff;
}

#topbar .contact-info a:hover {
  color: #4a86ff;
}

#topbar .social-links a {
  color: #bababa;
  line-height: 0;
  margin-left: 10px;
}

#topbar .social-links a:hover {
  color: #4a86ff;
}

/* header */
#header {
  z-index: 997;
  background: transparent;
  box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.1);
}

#header .navbar {
  font-weight: bolder;
}

.top-navbar {
  background: linear-gradient(-45deg, #ffffff, #b3c8f5);
  background-size: 400% 400%;
  animation: gradient 10s ease infinite;
}

#header .logo h1 {
  font-size: 26px;
  padding: 0 0 0 8px;
  margin: 11px 0;
  line-height: 1;
  font-weight: 700;
  letter-spacing: 1px;
  text-transform: uppercase;
}

#header .logo span {
  color: #4a86ff;
}

@media (max-width: 860px) {
  #header .logo {
    padding-bottom: 20px;
  }

  #header .logo span {
    color: #4a86ff;
    display: block;
    position: absolute;
  }

  #header .logo h1 {
    font-size: 20px;
  }
}

#header .logo h1 a,
#header .logo h1 a:hover {
  color: #545454;
  text-decoration: none;
}

.scrolled-offset {
  margin-top: 70px;
}

.marquee {
  width: 100%;
  position: absolute;
  z-index: 2;
}

.marquee-text {
  background-color: rgba(255, 255, 255, 0.7);
}

/* nav */
.navbar a:hover,
.navbar .active,
.navbar .active:focus,
.navbar li:hover>a {
  color: #4a86ff;
}

/* hero */
#hero {
  width: 100%;
  height: 85vh;
  background-color: rgba(59, 59, 59, 0.8);
  padding: 0;
  margin-bottom: -120px;
  position: relative;
}

#hero .carousel-item {
  width: 100%;
  height: 85vh;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-position: center center;
}

#hero .carousel-item::before {
  content: "";
  background-color: rgba(255, 255, 255, 0.6);
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
}

#hero .carousel-container {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  bottom: 0;
  top: 0;
  left: 0;
  right: 0;
  padding-bottom: 120px;
}

#hero .carousel-content {
  text-align: center;
}

#hero h2 {
  color: #2e2e2e;
  margin-bottom: 30px;
  font-size: 48px;
  font-weight: 700;
}

#hero h2 span {
  color: #4a86ff;
}

#hero p {
  width: 80%;
  animation-delay: 0.4s;
  margin: 0 auto 30px auto;
  color: arken(#545454, 15);
}

#hero .btn-get-started {
  font-weight: 500;
  font-size: 14px;
  letter-spacing: 1px;
  display: inline-block;
  padding: 12px 32px;
  border-radius: 50px;
  line-height: 1;
  margin: 10px;
  color: #fff;
  animation-delay: 0.8s;
  border: 2px solid linear-gradient(to right, #859fd7 0%, #4a86ff 100%);
  background: linear-gradient(to right, #859fd7 0%, #4a86ff 100%);
}

#hero .btn-get-started:hover {
  background: #444444;
  color: #4a86ff;
  text-decoration: none;
}

@media (max-height: 768px),
(max-width: 1200px) {
  #hero {
    margin-bottom: 60px;
  }

  #hero .carousel-container {
    padding-bottom: 0;
  }

  #hero .carousel-indicators li {
    margin-bottom: 0;
  }
}

@media (max-width: 768px) {
  #hero {
    height: 90vh;
  }

  #hero .carousel-item {
    height: 90vh;
  }
}

@media (min-width: 1024px) {
  #hero p {
    width: 50%;
  }

  #hero .carousel-control-prev,
  #hero .carousel-control-next {
    width: 5%;
  }
}

/* section control */
.section-bg {
  background-color: white;
}

.section-title {
  text-align: center;
  padding-bottom: 30px;
}

.section-title h2 {
  font-size: 28px;
  font-weight: 600;
  margin-bottom: 20px;
  padding-bottom: 20px;
  position: relative;
  font-family: "Poppins", sans-serif;
}

.section-title h2::after {
  content: "";
  position: absolute;
  display: block;
  width: 50px;
  height: 3px;
  background: linear-gradient(to right, #859fd7 0%, #4a86ff 100%);
  bottom: 0;
  left: calc(50% - 25px);
}

.section-title h3 {
  font-size: 28px;
  font-weight: 600;
  margin-bottom: 20px;
  padding-bottom: 20px;
  position: relative;
  font-family: "Poppins", sans-serif;
}

.section-title h3::after {
  content: "";
  position: absolute;
  display: block;
  width: 50px;
  height: 3px;
  background: linear-gradient(to right, #859fd7 0%, #4a86ff 100%);
  bottom: 0;
  left: calc(50% - 25px);
}

.section-title p {
  margin-bottom: 0;
}

/* featured */
.featured {
  position: relative;
  z-index: 2;
}

.featured .icon-box {
  padding: 40px 30px;
  box-shadow: 0px 2px 15px rgba(0, 0, 0, 0.15);
  border-radius: 10px;
  background: linear-gradient(to right, #e1e9fa 0%, #d2def8 100%);
  height: 100%;
}

.featured .icon-box i {
  color: linear-gradient(to right, #859fd7 0%, #4a86ff 100%);
  font-size: 42px;
  margin-bottom: 15px;
  display: block;
  line-height: 0;
}

.featured .icon-box h3 {
  font-weight: 700;
  margin-bottom: 15px;
  font-size: 20px;
}

.featured .icon-box h3 a {
  color: #545454;
}

.featured .icon-box p {
  color: #545454;
  line-height: 24px;
  font-size: 14px;
  margin-bottom: 0;
}

.featured .icon-box:hover {
  background: linear-gradient(to right, #859fd7 0%, #4a86ff 100%);
}

.featured .icon-box:hover i,
.featured .icon-box:hover h3 a,
.featured .icon-box:hover p {
  color: #fff;
}


#goldenline {
  position: relative;
}

/* about */
.about .content h3 {
  font-weight: 600;
  font-size: 26px;
  color: #545454;
}

.about .content ul {
  list-style: none;
  padding: 0;
}

.about .content ul li {
  padding-bottom: 10px;
}

.about .content ul i {
  font-size: 20px;
  padding-right: 4px;
  color: linear-gradient(to right, #859fd7 0%, #4a86ff 100%);
}

.about .content p:last-child {
  margin-bottom: 0;
}

.about p {
  text-align: justify;
}

/* services */
.services .icon-box {
  background: linear-gradient(to right, #e1e9fa 0%, #d2def8 100%);
  box-shadow: 0 0 30px rgba(214, 215, 216, 0.6);
  border-radius: 10px;
  text-align: center;
  padding: 80px 20px;
}

.services .icon-box .icon {
  margin: 0 auto;
  width: 64px;
  height: 64px;
  background: linear-gradient(-75deg, #ffffff, #b3c8f5);
  background-size: 400% 400%;
  animation: gradient 10s ease infinite;
  border-radius: 5px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 20px;
  transform-style: preserve-3d;
  position: relative;
  z-index: 2;
}

.services .icon-box .icon i {
  color: #545454;
  font-size: 28px;
  transition: ease-in-out 0.3s;
}

.services .icon-box .icon::before {
  position: absolute;
  content: "";
  left: -8px;
  top: -8px;
  height: 100%;
  width: 100%;
  background: rgba(233, 107, 86, 0.15);
  border-radius: 5px;
  transition: all 0.3s ease-out 0s;
  transform: translateZ(-1px);
  z-index: -1;
}

.services .icon-box h4 {
  font-weight: 700;
  margin-bottom: 15px;
  font-size: 24px;
}

.services .icon-box h4 a {
  color: #545454;
}

.services .icon-box p {
  line-height: 24px;
  font-size: 14px;
  margin-bottom: 0;
}

.services .icon-box:hover {
  background: linear-gradient(to right, #859fd7 0%, #4a86ff 100%);
  border-color: linear-gradient(to right, #859fd7 0%, #4a86ff 100%);
}

.services .icon-box:hover .icon {
  background: #fff;
}

.services .icon-box:hover .icon i {
  color: linear-gradient(to right, #859fd7 0%, #4a86ff 100%);
}

.services .icon-box:hover .icon::before {
  background: rgba(255, 255, 255, 0.3);
}

.services .icon-box:hover h4 a,
.services .icon-box:hover p {
  color: #fff;
}

/* clients */
.clients .swiper-pagination .swiper-pagination-bullet {

  background-color: #fff;
  opacity: 1;
  border: 1px solid linear-gradient(to right, #859fd7 0%, #4a86ff 100%);
}

.clients .swiper-pagination .swiper-pagination-bullet-active {
  background-color: linear-gradient(to right, #859fd7 0%, #4a86ff 100%);
}

.clients .swiper-slide img {
  opacity: 0.5;
  filter: grayscale(100);
}

.clients .swiper-slide img:hover {
  filter: none;
  opacity: 1;
}

/* contract */
.contact .info-box {
  color: #444444;
  background: linear-gradient(to right, #e1e9fa 0%, #d2def8 100%);
  text-align: center;
  box-shadow: 0 0 30px rgba(214, 215, 216, 0.6);
  padding: 20px 0 30px 0;
}

.contact .info-box i {
  font-size: 32px;
  color: linear-gradient(to right, #859fd7 0%, #4a86ff 100%);
  border-radius: 50%;
  padding: 8px;
  border: 2px dotted #fef5f4;
}

.contact .info-box h3 {
  font-size: 20px;
  color: #777777;
  font-weight: 700;
  margin: 10px 0;
}

.contact .info-box p {
  padding: 0;
  line-height: 24px;
  font-size: 14px;
  margin-bottom: 0;
}

@keyframes animate-loading {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

/* Footer */
#footer {
  background: #404040;
  color: #ffffffbe;
  font-size: 14px;
}

#footer .footer-top {
  background: #3b3b3b;
}

#footer .footer-top .footer-info h3 {
  font-size: 18px;
  margin: 0 0 20px 0;
  padding: 2px 0 2px 0;
  line-height: 1;
  font-weight: 700;
}

#footer .footer-top .footer-info p {
  font-size: 14px;
  line-height: 24px;
  margin-bottom: 0;
  color: #ffffffbe;
}

#footer .footer-top .social-links a {
  font-size: 18px;
  display: inline-block;
  background: #545454;
  color: #ffffffbe;
  padding: 4px;
  border-radius: 50%;
  text-align: center;
}

#footer .footer-top .social-links a:hover {
  background: linear-gradient(-75deg, #ffffff, #b3c8f5);
  background-size: 400% 400%;
  animation: gradient 10s ease infinite;
  color: #ffffffbe;
  text-decoration: none;
}

#footer .footer-top h4 {
  font-size: 16px;
  font-weight: bold;
  color: #ffffffbe;
  position: relative;
  padding-bottom: 12px;
}

.dev {
  background-color: transparent;
  text-decoration: underline;
  color: #FF923E;
  display: inline-block
}

/* Portfolio */
.portfolio .portfolio-item {
  margin-bottom: 30px;
}

.portfolio #portfolio-flters {
  padding: 0;
  margin: 0 auto 25px auto;
  list-style: none;
  text-align: center;
  background: white;
  border-radius: 50px;
  padding: 2px 15px;
}

.portfolio #portfolio-flters li {
  cursor: pointer;
  display: inline-block;
  padding: 8px 20px 12px 20px;
  font-size: 15px;
  font-weight: 500;
  line-height: 1;
  color: #444444;
  margin: 0 4px 8px 4px;
  transition: all ease-in-out 0.3s;
  border-radius: 50px;
  background: #f2f2f2;
}

.portfolio #portfolio-flters li:hover,
.portfolio #portfolio-flters li.filter-active {
  background: #e96b56;
  color: #fff;
}

.portfolio #portfolio-flters li:last-child {
  margin-right: 0;
}

.portfolio .portfolio-wrap {
  transition: 0.3s;
  position: relative;
  overflow: hidden;
  z-index: 1;
  background: rgba(84, 84, 84, 0.6);
}

.portfolio .portfolio-wrap::before {
  content: "";
  background: rgba(84, 84, 84, 0.6);
  position: absolute;
  left: 30px;
  right: 30px;
  top: 30px;
  bottom: 30px;
  transition: all ease-in-out 0.3s;
  z-index: 2;
  opacity: 0;
}

.portfolio .portfolio-wrap .portfolio-info {
  opacity: 0;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  text-align: center;
  z-index: 3;
  transition: all ease-in-out 0.3s;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.portfolio .portfolio-wrap .portfolio-info::before {
  display: block;
  content: "";
  width: 48px;
  height: 48px;
  position: absolute;
  top: 35px;
  left: 35px;
  border-top: 3px solid #fff;
  border-left: 3px solid #fff;
  transition: all 0.5s ease 0s;
  z-index: 9994;
}

.portfolio .portfolio-wrap .portfolio-info::after {
  display: block;
  content: "";
  width: 48px;
  height: 48px;
  position: absolute;
  bottom: 35px;
  right: 35px;
  border-bottom: 3px solid #fff;
  border-right: 3px solid #fff;
  transition: all 0.5s ease 0s;
  z-index: 9994;
}


.portfolio .portfolio-wrap .portfolio-links {
  text-align: center;
  z-index: 4;
}

.portfolio .portfolio-wrap .portfolio-links a {
  color: #fff;
  margin: 0 2px;
  font-size: 28px;
  display: inline-block;
  transition: 0.3s;
}

.portfolio .portfolio-wrap .portfolio-links a:hover {
  color: #4a86ff;
}

.portfolio .portfolio-wrap:hover::before {
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  opacity: 1;
}

.portfolio .portfolio-wrap:hover .portfolio-info {
  opacity: 1;
}

.portfolio .portfolio-wrap:hover .portfolio-info::before {
  top: 15px;
  left: 15px;
}

.portfolio .portfolio-wrap:hover .portfolio-info::after {
  bottom: 15px;
  right: 15px;
}

.ginner-container {
  max-width: 720px !important;
  height: 540px !important;
}
